/*
 * $Id: kl_mem_s390x.h 1415 2007-11-15 18:06:10Z holzheu $
 *
 * This file is part of libklib.
 * A library which provides access to Linux system kernel dumps.
 *
 * Created by Silicon Graphics, Inc.
 * Contributions by IBM, NEC, and others
 *
 * Copyright (C) 1999 - 2002 Silicon Graphics, Inc. All rights reserved.
 * Copyright (C) 2001, 2002 IBM Deutschland Entwicklung GmbH, IBM Corporation
 * Copyright 2000 Junichi Nomura, NEC Solutions <j-nomura@ce.jp.nec.com>
 *
 * This code is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */

#ifndef __KL_MEM_S390X_H
#define __KL_MEM_S390X_H

#define KL_KSTACK_SIZE_S390X        0x4000ULL
#define KL_PAGE_OFFSET_S390X        0x0

#define KL_PAGE_SHIFT_S390X         12
#define KL_PAGE_SIZE_S390X          (1ULL << KL_PAGE_SHIFT_S390X)
#define KL_PAGE_MASK_S390X          (~(KL_PAGE_SIZE_S390X-1))

/* functions needed for dump architecture specific memory mapping */
kaddr_t kl_mmap_virtop_s390x(
	kaddr_t vaddr   /* kernel virtual address */,
	void *mmp       /* pointer to struct mm_struct */);

kaddr_t kl_kernelstack_s390x(kaddr_t task);

#endif /* __KL_MEM_S390X_H */
